API Docs / Operations / Client - Billing - Schedule / List Billing Schedule Items for Client

List Billing Schedule Items for Client

GET /tenants/{tenant}/clients/{client}/billingschedule/clientbillingscheduleitem

Lists all Billing Schedule Items for the specified client.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

client* path string
offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

BillingDate PeriodStart

Field to sort by.

BillingDate PeriodStart

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

status query string

Filter by schedule item status (Scheduled, Billed, Skipped)

Filter by schedule item status (Scheduled, Billed, Skipped)

billingDateFrom query string

Filter to items with a billing date on or after this date (yyyy-MM-dd)

Filter to items with a billing date on or after this date (yyyy-MM-dd)

billingDateTo query string

Filter to items with a billing date on or before this date (yyyy-MM-dd)

Filter to items with a billing date on or before this date (yyyy-MM-dd)

serviceCode query string

Filter to the charges of one client service, including the package it bills under

Filter to the charges of one client service, including the package it bills under

Responses

401 Unauthorized – Invalid or missing API key